Subject: Re: [lojban] No number base?!?

From: Robin Lee Powell <[email-masked]>
Date: Tue, 29 May 2001 21:02:41 -0700

On Wed, May 30, 2001 at 12:58:17AM +0000, Jorge Llambias wrote:
> 
> la camgusmis cusku di'e
> 
> > > >"Why do you prefer base-16?"
> > >
> > > i mu'a lu ma krinu le nu do zmanei le me li vai ke namcu selyle'u li'u
> >
> >That doesn't parse.
> 
> That's not polite, you should say: "That doesn't parse because
> such or such a terminator is missing." 

I didn't feel the urge to take the time to attempt to fix something I
didn't understand, at all. Especially since I'd just be guessing.

> I don't really understand why it doesn't parse. Does {me li vai} need
> to be closed? Oh, I see, it must be because that {ke} could be
> absorbed into some weird MEX stuff. Ok, but instead of using a
> terminator there change {ke namcu selyle'u} to {namcu bo selyle'u}.
> Hopefully that should do it.

True, but you're still talking about characters, not a number base.

> >Even if it did, I wouldn't have even the most basic clue as to what the
> >hell you were talking about.
> 
> About a {selyle'u}, a system of symbols.

Like I said.

> >It sounds like you're asking 'Why do you like the letters associated
> >with hexadecimal numbering?' which is a completely different question.
> 
> The letters/digits would be {le lerfu}.

Yes, they would. What do the lerfu used to express numbers have to do
with the number base?

> You could also use {le te saclu}, if you can figure out what that
> predicate means. 

Ah, didn't notice the x3 of saclu.

> Maybe we could redefine it as "x1 is the symbol of number x2 in base
> x3", or maybe it already means that.

You're right. I have no idea what that means.

Wow.

-Robin, who sometimes feels like this language missed some basic QA.

-- 
http://www.digitalkingdom.org/~rlpowell/ BTW, I'm male, honest.
le datni cu djica le nu zifre .iku'i .oi le so'e datni cu to'e te pilno
je xlali -- RLP http://www.lojban.org/